Skip to main content
GET
/
api
/
v1
/
schedulers
/
user-schedulers
Error
A valid request URL is required to generate request examples
{
  "results": {
    "data": [
      {
        "includeLinks": true,
        "enabled": true,
        "options": {
          "limit": 123,
          "formatted": true,
          "asAttachment": true
        },
        "savedSqlName": "<string>",
        "savedSqlUuid": null,
        "dashboardName": "<string>",
        "dashboardUuid": null,
        "savedChartName": "<string>",
        "savedChartUuid": "<string>",
        "cron": "<string>",
        "format": "csv",
        "createdByName": "<string>",
        "createdBy": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "schedulerUuid": "<string>",
        "targets": [
          {
            "channel": "<string>",
            "schedulerUuid": "<string>",
            "updatedAt": "2023-11-07T05:31:56Z",
            "createdAt": "2023-11-07T05:31:56Z",
            "schedulerSlackTargetUuid": "<string>"
          }
        ],
        "projectName": "<string>",
        "projectUuid": "<string>",
        "notificationFrequency": "always",
        "thresholds": [
          {
            "value": 123,
            "fieldId": "<string>",
            "operator": "greaterThan"
          }
        ],
        "projectSchedulerTimezone": "<string>",
        "timezone": "<string>",
        "message": "<string>"
      }
    ]
  },
  "status": "ok"
}

Query Parameters

pageSize
number<double>

number of items per page

page
number<double>

page number

searchQuery
string

search query to filter schedulers by name

sortBy
enum<string>

column to sort by

Available options:
name,
createdAt
sortDirection
enum<string>

sort direction (asc or desc)

Available options:
asc,
desc
formats
string

filter by scheduler formats (comma-separated)

resourceType
enum<string>

filter by resource type (chart or dashboard)

Available options:
chart,
dashboard
resourceUuids
string

filter by resource UUIDs (comma-separated)

destinations
string

filter by destination types (comma-separated: email, slack, msteams, googlechat)

includeLatestRun
boolean

include latest run information for each scheduler

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok